2009-03-05  Bart Veer  <bartv@ecoscentric.com>

	* cdl/hal_arm_arm9_atmel_at91rm9200-kits.cdl: update compiler
	flags for gcc 4.x

2009-01-24  Bart Veer <bartv@ecoscentric.com>

	* cdl/hal_arm_arm9_atmel_at91rm9200-kits.cdl: switch from arm-elf-gcc to
	arm-eabi-gcc.

2008-11-14  Jonathan Larmour  <jifl@eCosCentric.com>

	* misc/redboot_ROMRAM.ecm: Need CYGPKG_ERROR for SPI driver.
	* misc/redboot_ROM.ecm: Ditto.
	* misc/redboot_RAM.ecm: Ditto.
	* misc/redboot_JTAG.ecm: Ditto.

2008-09-13  Jonathan Larmour  <jifl@eCosCentric.com>

	* misc/bdi2000.at91rm9200ek.cfg: Sort out clock setup. Otherwise
	SDRAM refresh won't work correctly with the given values.
	Default to soft breakpoints.
	* misc/peedi.at91rm9200ek.cfg: Ditto.

2008-05-08  Jonathan Larmour  <jifl@eCosCentric.com>

	* doc/atmel-at91rm9200-kits.sgml: Update docs to reflect new
	SD support and card-detection.
	* include/plf_io.h: We don't support multiblock_io so clear cardflag.

2008-04-24  Jonathan Larmour  <jifl@eCosCentric.com>

	* cdl/hal_arm_arm9_atmel_at91rm9200-kits.cdl: 
	CYGINT_DEVS_DISK_MMC_BUS_CONNECTORS has been renamed to
	CYGINT_DEVS_DISK_MMCSD_BUS_CONNECTORS in generic driver.
	We support card detection so implement interface to indicate that.
	* include/plf_io.h: Many additions for revised AT91RM9200 MCI
	driver, including socket capabilities, platform specific
	socket configuration (for pin config etc.), card detection
	(including with an interupt handler) and write protection switch
	reporting, etc.
	* src/at91rm9200_kits_misc.c: Implement hook (and provide ISR+DSR)
	to set up and report card insertion/removal detection.

2007-09-21  Jonathan Larmour  <jifl@eCosCentric.com>

	* cdl/hal_arm_arm9_atmel_at91rm9200-kits.cdl: Indicate to AM29XXXXX
	driver that this flash part needs an erase/program resume after reset,
	as a reset does not get it unstuck from a suspended state.

2007-03-12  Jonathan Larmour  <jifl@eCosCentric.com>

	* doc/atmel-at91rm9200-kits.sgml: Typo:
	CYGDBG_HAL_DIAG_TO_DEBUG_CHAN should be disabled, not enabled.

2006-12-19  John Dallaway  <jld@ecoscentric.com>

	* misc/redboot_ROMRAM_RBL.ecm: Remove.
	* sgml/atmel-at91rm9200-kits.sgml: Reflect the above change.

2006-12-18  John Dallaway  <jld@ecoscentric.com>

	* misc/jtag.gdb: Removed. It is not longer necessary to set the
	program counter explicitly following download via JTAG.
	* cdl/hal_arm_arm9_atmel_at91rm9200_kits.cdl: Reference package
	documentation.

2006-11-23  John Dallaway  <jld@ecoscentric.com>

	* cdl/hal_arm_arm9_atmel_at91rm9200-kits.cdl: Allow
	CYGBLD_BUILD_REDBOOT_WITH_EXEC to be disabled.

2006-10-10  Nick Garnett  <nickg@ecoscentric.com>

	* cdl/hal_arm_arm9_atmel_at91rm9200_kits.cdl: Change serial device
	interface names in line with AT91RM9200 HAL.

	* doc/atmel-at91rm9200-kits.sgml: Update to reflect changes in
	UART to device mapping.

2006-07-31  Jonathan Larmour  <jifl@eCosCentric.com>

	* src/at91rm9200_kits_flash.c: In CYG_FLASH_FUNS, replace query
        function with generic nop version.
        Remove hwr_map_error: it no longer exists for CYG_FLASH_FUNS.

2006-06-27  Jonathan Larmour  <jifl@eCosCentric.com>

	* include/atmel-at91rm9200-kits.h: Set
	AT91RM9200_PLF_PLLA_POWERSAVE_80MHZ.

2006-06-05  Jonathan Larmour  <jifl@eCosCentric.com>

	* doc/atmel-at91rm9200-kits.sgml: Move some sections into new
	AT91RM9200 documentation. Revise remainder to refer to that
	new doc too, appropriately.
	* doc/cldiv-equation.png: Removed. It's now in AT91RM9200 HAL
	docs.

2006-05-26  Jonathan Larmour  <jifl@eCosCentric.com>

	* src/at91rm9200_kits_dataflash.c: Fixed end of 32 sectors is
	incorrect. Set to -1 to autodetect.
	* include/hal_platform_setup.h: Set up PB10 correctly as input with
	pull-up, not output.

2006-05-24  Jonathan Larmour  <jifl@eCosCentric.com>

	* include/hal_platform_setup.h: Replace most of the init code with
	common library macro calls into the at91rm9200 processor HAL.

2006-05-05  Jonathan Larmour  <jifl@eCosCentric.com>

	* misc/signum.at91rm9200ek.mac: Add Signum JTAGjet macro file.

2006-04-28  Jonathan Larmour  <jifl@eCosCentric.com>

	* misc/peedi.at91rm9200ek.cfg: Add Ronetix PEEDI JTAG configuration
	file.

2006-04-27  Jonathan Larmour  <jifl@eCosCentric.com>

	* cdl/hal_arm_arm9_atmel_at91rm9200-kits.cdl: 
	CYGBLD_HAL_ARM9_ATMEL_AT91RM9200_KITS_PHYS_SDRAM_LOAD now not
	needed, so remove. Replace with
	CYGBLD_HAL_ARM9_ATMEL_AT91RM9200_KITS_LOAD_LOW_RAM to load into
	low RAM, but nothing more fancy than that. Update MLT options
	accordingly to refer to these.
	* doc/atmel-at91rm9200-kits.sgml: Document new easier loading via
	JTAG, now at 0x20000000.
	* include/atmel-at91rm9200-kits.h: RAM now at 0x20000000, uncached
	now at 0x30000000.
	* include/hal_platform_setup.h: Detect MMU running with MMU_CP reg, not
	label magic.
	* include/plf_io.h (CYGARC_UNCACHED_ADDRESS): For SDRAM use uncached base,
	not phys base as it's not the same now.
	* include/pkgconf/mlt_arm9_atmel_at91rm9200_kits_ram.h: RAM now at
	0x20000000.
	* include/pkgconf/mlt_arm9_atmel_at91rm9200_kits_ram.ldi: Ditto.
	* include/pkgconf/mlt_arm9_atmel_at91rm9200_kits_romm.h: Ditto.
	* include/pkgconf/mlt_arm9_atmel_at91rm9200_kits_romm.ldi: Ditto.
	* include/pkgconf/mlt_arm9_atmel_at91rm9200_kits_romram.h: Ditto.
	* include/pkgconf/mlt_arm9_atmel_at91rm9200_kits_romram.ldi: Ditto.
	* include/pkgconf/mlt_arm9_atmel_at91rm9200_kits_phys_sdram.h: Remove.
	* include/pkgconf/mlt_arm9_atmel_at91rm9200_kits_phys_sdram.ldi: Remove.
	* include/pkgconf/mlt_arm9_atmel_at91rm9200_kits_low_ram.h: New file.
	* include/pkgconf/mlt_arm9_atmel_at91rm9200_kits_low_ram.ldi: New file.
	* misc/reboot_RAM.ecm: No need to override
	CYGBLD_HAL_ARM9_ATMEL_AT91RM9200_KITS_PHYS_SDRAM_LOAD now.
	* src/at91rm9200_kits_misc.c: Implement mapping of SDRAM at 0x20000000
	but retain it at 0x0 as well. Move uncached version to 0x30000000.

2006-01-16  John Dallaway  <jld@ecoscentric.com>

	* cdl/hal_arm_arm9_atmel_at91rm9200-kits.cdl: Specify display strings
	rather than description strings.

2005-12-23  John Dallaway  <jld@ecoscentric.com>

	* cdl/hal_arm_arm9_atmel_at91rm9200-kits.cdl: Reserve flash blocks 0,
	1 and 2 for a RedBoot image.

2005-12-22  Jonathan Larmour  <jifl@eCosCentric.com>

	* doc/atmel-at91rm9200-kits.sgml: Update for SPI dataflash support,
	memory layout additions, RBL ECM, MCI, and some other minor changes.

2005-12-21  John Dallaway  <jld@ecoscentric.com>

	* misc/jtag.gdb: Provide empty "preload" macro for compatibility with
	eCosPro CDT 3.0.1.

2005-11-02  John Dallaway  <jld@ecoscentric.com>

	* doc/cldiv.equation.png: Rename to cldiv-equation.png to avoid
	LaTeX "unknown graphics extension" error when building PDF
	documentation.

	* doc/atmel-at91rm9200-kits.sgml: Accommodate above change.

2005-10-28  Jonathan Larmour  <jifl@eCosCentric.com>

	* cdl/hal_arm_arm9_atmel_at91rm9200-kits.cdl: This board provides an
	MMC connector.

	* include/atmel-at91rm9200-kits.h: Add regions for internal ROM and
	USB host port register space.
	* src/at91rm9200_kits_misc.c: Map internal ROM and USB host 
	port registers into virtual address space.
	* include/plf_io.h: Support these address spaces in address space
	mapping macros.
	Also, add MMC interface (MCI) definition to set correct mode for
	logic.
	
	* include/hal_platform_setup.h: Correct comment.
	
2005-10-12  Nick Garnett  <nickg@ecoscentric.com>

	* doc/atmel-at91rm9200-kits.sgml: Updated documentation to reflect
	changes to the power saving implementation in the AT91RM9200 HAL.

2005-10-07  Nick Garnett  <nickg@ecoscentric.com>

	* doc/atmel-at91rm9200-kits.sgml: Added some documentation of
	power saving support. This really belongs in the AT91RM9200 HAL,
	but we don't currently have any documentation there.

2005-10-05  Nick Garnett  <nickg@ecoscentric.com>

	* misc/redboot_ROMRAM_RBL.ecm: Added ECM file to configure a
	RedBoot that includes RBL and FCONFIG functionality.

	* cdl/hal_arm_arm9_atmel_at91rm9200-kits.cdl: Extended reserved
	blocks to include last block as well. This permits coexistence
	with FCONFIG.

2005-09-30  Nick Garnett  <nickg@ecoscentric.com>

	* cdl/hal_arm_arm9_atmel_at91rm9200-kits.cdl: Reorganize
	definitions for FLASH to keep RedBoot and RBL happy.

2005-09-27  Jonathan Larmour  <jifl@eCosCentric.com>

	* doc/atmel-at91rm9200-kits.sgml: Document I2C/TWI driver.
	* doc/cldiv.equation.png: Picture used in above doc.

	* include/hal_platform_setup.h: Fix comments for GPIO.
	Use PB27 with internal pull-up as input, to detect SD cards.

	* include/plf_io.h: Export hal_at91rm9200_i2c_bus instance.

	* cdl/hal_arm_arm9_atmel_at91rm9200-kits.cdl
	(CYGHWR_HAL_ARM_ARM9_ATMEL_AT91RM9200_KITS_FLASH):
	CYGNUM_REDBOOT_FLASH_BASE needs to be set for NOR flash
	to avoid it choosing an SPI dataflash.
	* misc/redboot_RAM.ecm: Add setting of
	CYGNUM_REDBOOT_FLASH_BASE to reflect the above.
	* misc/redboot_ROM.ecm: Ditto.
	* misc/redboot_ROMRAM.ecm: Ditto.

	* src/at91rm9200_kits_dataflash.c: Use correct name for
	dataflash driver instance.

2005-09-02  Jonathan Larmour  <jifl@eCosCentric.com>

	* doc/atmel-at91rm9200-kits.sgml: Various clarifications.

	* include/hal_platform_setup.h: Check for PLLA lock and PLLB
	lock in one loop. Just a small code improvement.

2005-08-31  John Dallaway  <jld@ecoscentric.com>

	* doc/atmel-at91rm9200-kits.sgml: Fix minor typographical errors.

2005-08-31  Jonathan Larmour  <jifl@eCosCentric.com>

	* doc/atmel-at91rm9200-kits.sgml: Add platform HAL documentation.

2005-08-30  Jonathan Larmour  <jifl@eCosCentric.com>

	* include/hal_platform_setup.h: Don't disable MMU/caches if RAM
	startup even if CYGSEM_HAL_USE_ROM_MONITOR unset. The MMU may
	have been set up after all.

2005-08-30  John Dallaway  <jld@ecoscentric.com>

	* misc/redboot_RAM.ecm: Disable 
	CYGBLD_HAL_ARM9_ATMEL_AT91RM9200_KITS_PHYS_SDRAM_LOAD to build the
	RedBoot RAM image for download/execution using RedBoot residing in
	Flash.

	* misc/redboot_JTAG.ecm: New file which builds RedBoot for downloading
	into RAM using JTAG hardware for the purpose of initial RedBoot
	installation.

2005-08-27  John Dallaway  <jld@ecoscentric.com>

	* misc/jtag.gdb: New file providing a GDB postload macro to set the
	program counter for invoking a RAM startup eCos application.

2005-08-26  Jonathan Larmour  <jifl@eCosCentric.com>

	* include/hal_platform_setup.h: Define irq_vector and fiq_vector
	macros to override those in vectors.S so that we can exploit the
	AIC.
	* cdl/hal_arm_arm9_atmel_at91rm9200-kits.cdl: Implement
	CYGINT_HAL_AT91RM9200_AIC_VSR so the variant HAL knows to support
	vectoring with the AIC.

2005-08-24  Jonathan Larmour  <jifl@eCosCentric.com>

	* misc/bdi2000.at91rm9200ek.cfg: Tidy cruft. Attempt (but fail) to
	use workspace for faster loading and flash programming.

	* misc/redboot_RAM.ecm: Bump RedBoot image size to 3 flash blocks as
	we are too close to be comfortable with just 2.
	* misc/redboot_ROM.ecm: Ditto.
	* misc/redboot_ROMRAM.ecm: Ditto.

	* cdl/hal_arm_arm9_atmel_at91rm9200-kits.cdl: Remove obsolete FIXME.
	Make CYGHWR_HAL_ARM_ARM9_ATMEL_AT91RM9200_KITS_DATAFLASH configurable
	but default on.

	* include/atmel-at91rm9200-kits-eth.inl: Attempted to fix PHY debugging
	with JTAG issue without success, but checking in code for PHY reset
	in case it is useful in future.
	
2005-08-18  Nick Garnett  <nickg@ecoscentric.com>

	* src/at91rm9200_kits_dataflash.c: Added this file to define
	dataflash driver.

	* cdl/hal_arm_arm9_atmel_at91rm9200-kits.cdl: Changed legal values
	for CYGHWR_HAL_ARM_ARM9_ATMEL_AT91RM9200_KITS_BOARD_VARIANT to
	use underscores rather than hyphens. This makes them legal and
	testable preprocessor tokens.
	Added option to enable support for DataFlash device.

2005-08-17  Jonathan Larmour  <jifl@eCosCentric.com>

        * cdl/hal_arm_arm9_atmel_at91rm9200-kits.cdl:
        * include/atmel-at91rm9200-kits-eth.inl:
        * include/atmel-at91rm9200-kits.h:
        * include/hal_diag.h:
        * include/hal_platform_setup.h:
        * include/plf_io.h:
        * include/plf_stub.h:
        * include/pkgconf/mlt_arm9_atmel_at91rm9200_kits_phys_sdram.h:
        * include/pkgconf/mlt_arm9_atmel_at91rm9200_kits_phys_sdram.ldi:
        * include/pkgconf/mlt_arm9_atmel_at91rm9200_kits_ram.h:
        * include/pkgconf/mlt_arm9_atmel_at91rm9200_kits_ram.ldi:
        * include/pkgconf/mlt_arm9_atmel_at91rm9200_kits_rom.h:
        * include/pkgconf/mlt_arm9_atmel_at91rm9200_kits_rom.ldi:
        * include/pkgconf/mlt_arm9_atmel_at91rm9200_kits_romram.h:
        * include/pkgconf/mlt_arm9_atmel_at91rm9200_kits_romram.ldi:
        * misc/bdi2000.at91rm9200ek.cfg:
        * misc/redboot_RAM.ecm:
        * misc/redboot_ROM.ecm:
        * misc/redboot_ROMRAM.ecm:
        * src/at91rm9200_kits_flash.c:
        * src/at91rm9200_kits_misc.c:
	New package -- support for Atmel AT91RM9200-EK and Atmel
	AT91RM9200-DK boards.

//===========================================================================
// ####GPLCOPYRIGHTBEGIN####                                                
// -------------------------------------------                              
// This file is part of eCos, the Embedded Configurable Operating System.   
// Copyright (C) 2005, 2006, 2008 Free Software Foundation, Inc.            
// Copyright (C) 2005, 2006, 2008 eCosCentric Limited                       
//
// This program is free software; you can redistribute it and/or modify     
// it under the terms of the GNU General Public License as published by     
// the Free Software Foundation; either version 2 or (at your option) any   
// later version.                                                           
//
// This program is distributed in the hope that it will be useful, but      
// WITHOUT ANY WARRANTY; without even the implied warranty of               
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU        
// General Public License for more details.                                 
//
// You should have received a copy of the GNU General Public License        
// along with this program; if not, write to the                            
// Free Software Foundation, Inc., 51 Franklin Street,                      
// Fifth Floor, Boston, MA  02110-1301, USA.                                
// -------------------------------------------                              
// ####GPLCOPYRIGHTEND####                                                  
//===========================================================================
